Account Wallet Details

This API is used to get all tokens held by a specific wallet(Currently only supports wallets imported into DBot)

FreePlusProEnterpriseCredit Usage
50

Response data

{
  "err": false, // Error or not
  "res": [
    {
      "id": "n1v50h7hfkt0e1", // Asset id
      "hold": 0, // The value of this held token (SOL / ETH / BNB / TRX)
      "cost": 0.1, // The total buy cost of this token (SOL / ETH / BNB / TRX, only calculate transactions made through DBot)
      "sold": 0.2, // The total income from selling this token (SOL / ETH / BNB / TRX, only calculate transactions made through DBot)
      "pnl": 0.1, // Current profit and loss (SOL / ETH / BNB / TRX)
      "pnlPercent": 1, // Current profit and loss ratio (SOL / ETH / BNB / TRX)
      "tokenBalance": "239718497",
      "tokenBalanceUI": "239.718497", // Token balance
      "tokenPriceSOL": 5, // Crypto-denominated price of this token
      "currencyInfo": { // Native token information
        "contract": "So11111111111111111111111111111111111111112",  // Token address
        "name": "Wrapped SOL",
        "symbol": "SOL",
        "decimals": 9, // Token decimals
        "totalSupply": null, // Total token supply
        "icon": "icon url", // Token icon URL
        "createAt": null // Token creation time
      },
      "tokenInfo": { // Token information
        "contract": "CzLSujWBLFsSjncfkh59rUFqvafWcY5tzedWJSuypump", // Token address
        "createAt": 1728554501806, // Token creation time
        "name": "token name",
        "symbol": "token symbol",
        "decimals": 6, // Token decimals
        "totalSupply": "1000000000000000", // Total token supply
        "icon": "icon url", // Token icon URL
        "freezeAuthority": null, // Is the token freezeable
        "mintAuthority": null // Is the token mintable
      },
      "links": { // Related links for this token
        "dexscreener": "DEX Screener link"
      }
    }
  ]
}

Response data visualization reference


Query Params
string
required

Blockchain (solana / ethereum / base / bsc / tron)

string
required

Wallet address(Currently only supports wallets imported into DBot)

integer

Pagination parameter,0 / 1 / 2 ...

integer

Page size (10 / 20, max 20)

string

Token address

string

Sort field(value / timestamp)

number

Minimum token value (only valid for Solana)

Response

Language
LoadingLoading…
Response
Choose an example:
application/json